'''
Created on 07 August 2012

@author: Corinne
'''
import logging

logger = logging.getLogger('document')

class ClientDocumentAnnotationDeleteAttributes(object):

    def __init__(self, request):
        self.request = request
    
    def get_user(self):
        user = ''
        try:
            user = self.request.POST['user']
        except Exception, err:
            logger.info('No user attribute in the http post request. ' + str(err))
        return user
    
    def get_annotation_id(self):
        annotation_id = ''
        try:
            annotation_id = self.request.POST['annotation_id']
        except Exception, err:
            logger.info('No annotation_id attribute in the http post request. ' + str(err))
        return annotation_id